Analytics · Analytics

List Google Analytics (GA4) dimensions and metrics

Returns Google Analytics (GA4) dimensions and metrics.

GEThttps://api.pozy.ai/v1/analytics/googleanalytics/metadata
getGoogleAnalyticsMetadata

Guides: Google Analytics, Platform insights

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring

Example

curl -X GET "https://api.pozy.ai/v1/analytics/googleanalytics/metadata?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • accountIdstring
  • propertyIdstring
  • dimensionsarray of object
    • apiNamestring
    • uiNamestring
    • descriptionstring
    • categorystring
    • customDefinitionboolean
  • metricsarray of object
    • apiNamestring
    • uiNamestring
    • descriptionstring
    • typestring
    • categorystring
    • customDefinitionboolean
200 response
{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "propertyId": "67197e35a04da83e86751673",
  "dimensions": [
    {
      "apiName": "Acme",
      "uiName": "Acme",
      "description": "A short description",
      "category": "string",
      "customDefinition": true
    }
  ],
  "metrics": [
    {
      "apiName": "Acme",
      "uiName": "Acme",
      "description": "A short description",
      "type": "string",
      "category": "string",
      "customDefinition": true
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Analytics